## nbclient 0.5.1

=== debian/changelog ===
nbclient (0.5.1-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- Gordon Ball <gordon@chronitis.net>  Sat, 24 Oct 2020 19:20:10 +0000

nbclient (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1.
  * Mark the doc patch Debian-specific so lintian doesn't complain.
  * Add myself as uploader.
  * Add patch to avoid privacy breaches.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 17 Oct 2020 11:35:20 +0200

nbclient (0.5.0-1) unstable; urgency=medium

  * Initial release (Closes: #970718)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 22 Sep 2020 18:39:40 +0000

## nbclient 0.5.2

=== requirements.txt ===
traitlets>=4.2
jupyter_client>=6.1.5
nbformat>=5.0
async_generator
nest_asyncio

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = nbclient
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
nbclient (0.5.2-1) unstable; urgency=medium

  * New upstream version 0.5.2

 -- Gordon Ball <gordon@chronitis.net>  Tue, 09 Feb 2021 19:19:23 +0000

=== debian/control ===
Source: nbclient
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>, Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.5.0
Homepage: https://github.com/jupyter/nbclient
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-async-generator,
               python3-ipykernel <!nocheck>,
               python3-jupyter-client,
               python3-nbconvert <!nocheck>,
               python3-nbformat,
               python3-nest-asyncio,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-traitlets,
               python3-xmltodict <!nocheck>
Vcs-Git: https://salsa.debian.org/python-team/packages/nbclient.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/nbclient
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-nbclient
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Client to execute jupyter notebooks
 nbclient is a client library for programmatic execution of jupyter notebook
 files in different execution contexts. It was previously part of
 nbconvert (ExecutePreprocessor).
 .
 This package installs the library for Python 3.

Package: python-nbclient-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: Client to execute jupyter notebooks (documentation)
 nbclient is a client library for programmatic execution of jupyter notebook
 files in different execution contexts. It was previously part of
 nbconvert (ExecutePreprocessor).
 .
 This package contains documentation.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-nbclient-doc/usr/share/doc/python-nbclient-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## nbclient 0.5.6

=== requirements.txt ===
traitlets>=4.2
jupyter_client>=6.1.5
nbformat>=5.0
async_generator; python_version<'3.7'
nest_asyncio

=== docs/Makefile ===


=== debian/changelog ===
nbclient (0.5.6-2) unstable; urgency=medium

  * Add patch to drop the jupyter-run script (Closes: #1000617).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 26 Nov 2021 21:58:25 +0100

nbclient (0.5.6-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Julien Puydt ]
  * New upstream version 0.5.6.
  * Drop Built-Using from -doc package.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 25 Nov 2021 19:52:01 +0100

nbclient (0.5.5-1) unstable; urgency=medium

  * New upstream version 0.5.5
  * Install jupyter-execute script
  * Standards-Version: 4.6.0
  * Skip two flaky tests

 -- Gordon Ball <gordon@chronitis.net>  Tue, 09 Nov 2021 20:41:17 +0000

nbclient (0.5.4-1) unstable; urgency=medium

  * New upstream version 0.5.4

 -- Gordon Ball <gordon@chronitis.net>  Sat, 21 Aug 2021 18:08:04 +0000

nbclient (0.5.3-1) unstable; urgency=medium

  [ Gordon Ball ]
  * d/watch: new github tarball URL
  * New upstream version 0.5.3

  [ Julien Puydt ]
  * Fix d/watch.

 -- Gordon Ball <gordon@chronitis.net>  Sun, 15 Aug 2021 18:35:15 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>, Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/jupyter/nbclient
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -38,7 +38,6 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
-Built-Using: ${sphinxdoc:Built-Using}
 Description: Client to execute jupyter notebooks (documentation)
  nbclient is a client library for programmatic execution of jupyter notebook
  files in different execution contexts. It was previously part of

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP python3 -m pytest /usr/lib/python3/dist-packages/nbclient
Depends: python3-nbclient, python3-pytest, python3-ipykernel, python3-xmltodict, python3-nbconvert
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)(rc|a|b)/$1~$2/ \
https://github.com/jupyter/nbclient/tags .*/tags/@ANY_VERSION@@ARCHIVE_EXT@

## nbclient 0.6.6

=== debian/changelog ===
nbclient (0.6.6-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 11 Jul 2022 07:30:18 +0200

nbclient (0.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 13 Jun 2022 14:44:57 +0200

nbclient (0.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 14 May 2022 20:33:55 +0200

nbclient (0.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 04 May 2022 19:12:43 +0200

nbclient (0.6.0-1) unstable; urgency=medium

  * Mark the -doc package as Multi-Arch: foreign following hinter.
  * New upstream release.
  * Refresh patches.
  * Add b-dep on asyncio and testpath.
  * Fix documentation build.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Apr 2022 21:33:28 +0200

nbclient (0.5.13-1) unstable; urgency=medium

  * d/watch: allow leading v in version
  * New upstream version 0.5.13
  * Rebase patches, drop drop_jupyter_run.patch (no longer needed)
  * This drops the upstream dependency on ipython_genutils (Closes: #1007890)

 -- Gordon Ball <gordon@chronitis.net>  Fri, 01 Apr 2022 11:25:14 +0000

## nbclient 0.6.8

=== debian/changelog ===
nbclient (0.6.8-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 04 Oct 2022 07:55:25 +0200

nbclient (0.6.7-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 29 Aug 2022 10:38:26 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>, Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/jupyter/nbclient
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -15,8 +15,10 @@
                python3-nbformat,
                python3-nest-asyncio,
                python3-pytest <!nocheck>,
+               python3-pytest-asyncio <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
+               python3-testpath <!nocheck>,
                python3-traitlets,
                python3-xmltodict <!nocheck>
 Vcs-Git: https://salsa.debian.org/python-team/packages/nbclient.git
@@ -36,6 +38,7 @@
 
 Package: python-nbclient-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
 Description: Client to execute jupyter notebooks (documentation)

## nbclient 0.7.0

=== debian/changelog ===
nbclient (0.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 23 Oct 2022 14:26:52 +0200

## nbclient 0.7.2

=== debian/changelog ===
nbclient (0.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.7.2 (Closes: #1028790)
  * Update build dependencies
  * Bump policy version (no changes)
  * Move package description to source package
  * Use dh-sequence-*

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 16 Jan 2023 08:54:41 +0100

=== debian/control ===
Source: nbclient
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gordon Ball <gordon@chronitis.net>, Julien Puydt <jpuydt@debian.org>
Section: python
Priority: optional
Standards-Version: 4.6.2
Homepage: https://github.com/jupyter/nbclient
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-all,
               python3-async-generator,
               python3-hatchling,
               python3-ipykernel <!nocheck>,
               python3-ipywidgets <!nocheck>,
               python3-jupyter-client,
               python3-myst-parser <!nodoc>,
               python3-nbconvert <!nocheck>,
               python3-nbformat,
               python3-nest-asyncio,
               python3-pytest <!nocheck>,
               python3-pytest-asyncio <!nocheck>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-testpath <!nocheck>,
               python3-traitlets,
               python3-xmltodict <!nocheck>
Vcs-Git: https://salsa.debian.org/python-team/packages/nbclient.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/nbclient
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no
Description: Client to execute jupyter notebooks
 nbclient is a client library for programmatic execution of jupyter notebook
 files in different execution contexts. It was previously part of
 nbconvert (ExecutePreprocessor).

Package: python3-nbclient
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package installs the library for Python 3.

Package: python-nbclient-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: ${source:Synopsis} (documentation)
 ${source:Extended-Description}
 .
 This package contains documentation.

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP python3 -m pytest /usr/lib/python3/dist-packages/nbclient
Depends: python3-nbclient, python3-pytest, python3-ipykernel, python3-xmltodict, python3-nbconvert, python3-testpath
Restrictions: allow-stderr

## nbclient 0.8.0

=== debian/changelog ===
nbclient (0.8.0-3) unstable; urgency=medium

  * Team upload.
  * autopkgtest needs python3-pytest-asyncio too

 -- Alexandre Detiste <tchet@debian.org>  Wed, 27 Aug 2025 11:19:39 +0200

nbclient (0.8.0-2) unstable; urgency=medium

  * Team upload.
  * Avoid a DeprecationWarning on Python 3.13+.

 -- Colin Watson <cjwatson@debian.org>  Mon, 25 Nov 2024 14:08:49 +0000

nbclient (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (fixes autopkgtest error with new ipykernel
    version 6.23.3-1)
  * Update patches for new upstream version

 -- Julian Gilbey <jdg@debian.org>  Wed, 12 Jul 2023 20:04:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Gordon Ball <gordon@chronitis.net>, Julien Puydt <jpuydt@debian.org>
 Section: python
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/jupyter/nbclient
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,
@@ -11,8 +11,10 @@
                pybuild-plugin-pyproject,
                python3-all,
                python3-async-generator,
+               python3-enchant <!nodoc>,
+               python3-flaky <!nocheck>,
                python3-hatchling,
-               python3-ipykernel <!nocheck>,
+               python3-ipykernel (>= 6.23.3) <!nocheck>,
                python3-ipywidgets <!nocheck>,
                python3-jupyter-client,
                python3-myst-parser <!nodoc>,
@@ -23,13 +25,13 @@
                python3-pytest-asyncio <!nocheck>,
                python3-setuptools,
                python3-sphinx <!nodoc>,
+               python3-sphinxcontrib.spelling <!nodoc>,
                python3-testpath <!nocheck>,
                python3-traitlets,
                python3-xmltodict <!nocheck>
 Vcs-Git: https://salsa.debian.org/python-team/packages/nbclient.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/nbclient
 Testsuite: autopkgtest-pkg-python
-Rules-Requires-Root: no
 Description: Client to execute jupyter notebooks
  nbclient is a client library for programmatic execution of jupyter notebook
  files in different execution contexts. It was previously part of

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export LC_ALL=C.UTF-8

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html docs debian/python-nbclient-doc/usr/share/doc/python-nbclient-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

=== debian/tests/control ===
Test-Command: env HOME=$AUTOPKGTEST_TMP python3 -m pytest /usr/lib/python3/dist-packages/nbclient
Depends: python3-flaky,
         python3-ipykernel (>= 6.23.3),
         python3-nbclient,
         python3-nbconvert,
         python3-pytest,
         python3-pytest-asyncio,
         python3-testpath,
         python3-xmltodict
Restrictions: allow-stderr

## nbclient 0.10.4

=== debian/changelog ===
nbclient (0.10.4-1) unstable; urgency=medium

  * New upstream version 0.10.4
  * d/patches: rebase, drop py313-deprecation.patch (upstream)
  * d/control: standards-version 4.7.3, drop priority
  * d/watch: upgrade to version 5
  * d/tests/control: handle relocation of tests

 -- Gordon Ball <gordon@chronitis.net>  Fri, 02 Jan 2026 21:21:10 +0000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Gordon Ball <gordon@chronitis.net>, Julien Puydt <jpuydt@debian.org>
 Section: python
-Priority: optional
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/jupyter/nbclient
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-python3,

=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,4 @@
-Test-Command: env HOME=$AUTOPKGTEST_TMP python3 -m pytest /usr/lib/python3/dist-packages/nbclient
+Test-Command: env HOME=$AUTOPKGTEST_TMP python3 -m pytest tests
 Depends: python3-flaky,
          python3-ipykernel (>= 6.23.3),
          python3-nbclient,

=== debian/watch ===
Version: 5
Template: GitHub
Owner: jupyter
Project: nbclient
Uversion-mangle: auto
